| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# wfst_run Run a weighted finite-state transducer

## Synopsis

wfst_run [WFSTFILE] [input file0] ... [-o output file] [-wfst `ifile`] [-transduce ] [-recog ] [-cumulate_into `ofile`] [-itype `string`] [-quiet ] [-o `ofile`]

This program runs a WFST on some given data. It works in either recognize mode where both inputs and output are specified, but also in transduction mode where an input is transduced to the output.

## OPTIONS

> -wfst | `ifile` The WFST to use
> -transduce | Transduce input to output (default)
> -recog | Recognize input consists of pairs
> -cumulate_into | `ofile` Cumulate transitions to give new weights save new WFST into ofile
> -itype | `string` char or token
> -quiet | No extraneous messages
> -o | `ofile` Output file for transduced forms

Prev | Home | Next
wfst_build Build a weighted finite-state transducer | Up | scfg_make Make the rules for a stochastic context free grammar